# Configuration file for SwiftSurf by Sebastien Ailleret

########################################################
# HERE LIES THE VERY IMPORTANT LINES

# Port used by the proxy (will be important for configuring your browser)
port 8080

# What are the forbidden urls : name of a file containing patterns of
# urls we want to avoid (you should not change this line exept for the
# color but just have a look at this file)
forbiddenFile swiftsurf.forb
#forbiddenFile swiftsurf.forb transparent
#forbiddenFile swiftsurf.forb orange

########################################################
# NOW THAT'S ONLY DETAILS FOR EXPERIENCED USERS

# write the log to a file (default stdout)
#logFile /var/log/swiftsurf.log

# from where can we connect to the proxy
#connectFrom 127.*

# maximum number of simultaneous connections (infinite if not set)
#maxConns 20

# Redirect requests to another proxy
#nextProxy www 8080
#nextProxy www 8080 user:pass

# Which sites do not need the following proxy
#noProxy
#*.inria.fr
#end

# Output options
#stats 0
#debug 0
#request 0
#answer 0

# define a new timeout (default 30 sec)
# 0 for no timeout
#timeout 30

# the following construct allow the inlining of forbiddenFile
#forbiddenUrl
#url1
#url2
#...
#end default

# Restrict to a list of domains
#allowedUrl
#*.inria.fr/*
#*.yahoo.com/*
#end default

# List of the headers you want to ban (eg *Cookies*)
#forbiddenHeader
#end
